File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes Developer Certification (SCJD/OCMJD) and the fly likes URGENT: help with jdk version Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of OCM Java EE 6 Enterprise Architect Exam Guide this week in the OCMJEA forum!
JavaRanch » Java Forums » Certification » Developer Certification (SCJD/OCMJD)
Bookmark "URGENT: help with jdk version" Watch "URGENT: help with jdk version" New topic
Author

URGENT: help with jdk version

sf chan
Greenhorn

Joined: Mar 13, 2003
Posts: 6
I have to submit today before the exam, here is my jdk version -
java version "1.4.1_02"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.1_02)
Java HotSpot(TM) Client VM (build 1.4.1_02-b06, mixed mode)
Is it okay? Not a beta one?
Thanks,
Wanders
Andrew Monkhouse
author and jackaroo
Marshal Commander

Joined: Mar 28, 2003
Posts: 11437
    
  85

Hi Wapdev,
JDK 1.4.1_02 does look like a valid release, and I can see it on Sun's archive downloads page, so you should be OK with that.
The "b" in the Java HotSpot VM refers to the build number - it does not imply that that is a beta version (from the JavaRanch SCJD FAQ question What version of the SDK should I use: 1.3 or 1.4?).
If you are only just about to upload, you may find that you cannot do it first time. See the FAQ question Why can't I upload my assignment?
Regards, Andrew


The Sun Certified Java Developer Exam with J2SE 5: paper version from Amazon, PDF from Apress, Online reference: Books 24x7 Personal blog
 
Consider Paul's rocket mass heater.
 
subject: URGENT: help with jdk version